## avogadro 1.93.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3 FATAL_ERROR)

# Use the new policy for linking to qtmain
if(POLICY CMP0020)
#  cmake_policy(SET CMP0020 NEW)
endif()

project(AvogadroApp)

set(CMAKE_MODULE_PATH ${AvogadroApp_SOURCE_DIR}/cmake)

# Request C++11 standard, using new CMake variables.
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_CXX_EXTENSIONS False)
# Set symbol visibility defaults for all targets.
set(CMAKE_CXX_VISIBILITY_PRESET "hidden")
set(CMAKE_VISIBILITY_INLINES_HIDDEN True)

include(BuildType)
include(BuildLocation)
include(CompilerFlags)
include(InstallLocation)
include(DetermineVersion)

# Set up our version.
set(AvogadroApp_VERSION_MAJOR   "1")
set(AvogadroApp_VERSION_MINOR   "93")
set(AvogadroApp_VERSION_PATCH   "0")
set(AvogadroApp_VERSION
  "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
find_package(Git)
determine_version(${AvogadroApp_SOURCE_DIR} ${GIT_EXECUTABLE} "AvogadroApp")

if(APPLE)
  set(MACOSX_BUNDLE_NAME "Avogadro2")
  set(prefix "${MACOSX_BUNDLE_NAME}.app/Contents")
  set(INSTALL_INCLUDE_DIR "${prefix}/${INSTALL_INCLUDE_DIR}")
  set(INSTALL_RUNTIME_DIR "${prefix}/MacOS")
  set(INSTALL_LIBRARY_DIR "${prefix}/${INSTALL_LIBRARY_DIR}")
  set(INSTALL_ARCHIVE_DIR "${prefix}/${INSTALL_ARCHIVE_DIR}")
  set(INSTALL_DATA_DIR    "${prefix}/${INSTALL_DATA_DIR}")
  set(INSTALL_DOC_DIR     "${prefix}/${INSTALL_DOC_DIR}")
  set(INSTALL_CMAKE_DIR   "${prefix}/Resources")
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

option(ENABLE_TESTING "Enable testing and building the tests." OFF)

if(ENABLE_TESTING)
  include(CTest)
  enable_testing()
endif()

option(Avogadro_ENABLE_RPC "Enable RPC server" ON)

add_subdirectory(avogadro)

option(BUILD_DOCUMENTATION "Build project documentation" OFF)

if(BUILD_DOCUMENTATION)
  add_subdirectory(docs)
endif()

install(
  FILES
    README.md
    CONTRIBUTING.md
    LICENSE
  DESTINATION "${INSTALL_DOC_DIR}/avogadro2")

include(AvogadroCPack)

if(ENABLE_TESTING)
  include(BuildPackageTest)
  BuildPackageTest_Add("AvogadroApp" "${CMAKE_CURRENT_BINARY_DIR}")
  add_subdirectory(tests)
endif()

=== avogadro/CMakeLists.txt ===
find_package(AvogadroLibs REQUIRED NO_MODULE)
include_directories(${AvogadroLibs_INCLUDE_DIRS})
list(APPEND CMAKE_MODULE_PATH ${AvogadroLibs_CMAKE_DIR})
find_package(Eigen3 REQUIRED)
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIR})

option(USE_VTK "Build with VTK support" OFF)
if(USE_VTK)
  find_package(VTK COMPONENTS vtkGUISupportQt vtkRenderingOpenGL2 REQUIRED)
  include(${VTK_USE_FILE})
  add_definitions(-DAVO_USE_VTK)
endif()

if(MSVC)
  add_definitions("-D_CRT_SECURE_NO_WARNINGS")
endif()

# Find the Qt components we need.
find_package(Qt5 REQUIRED COMPONENTS Concurrent Widgets Network CONFIG)

configure_file(avogadroappconfig.h.in avogadroappconfig.h)

set(avogadro_srcs
  aboutdialog.cpp
  application.cpp
  avogadro.cpp
  backgroundfileformat.cpp
  mainwindow.cpp
  menubuilder.cpp
  viewfactory.cpp
)

qt5_wrap_ui(ui_srcs
  aboutdialog.ui
  mainwindow.ui
)

qt5_add_resources(rcc_srcs avogadro.qrc)

if(Avogadro_ENABLE_RPC)
  list(APPEND avogadro_srcs rpclistener.cpp)
  # MoleQueue is required for its RPC functions.
  find_package(MoleQueue REQUIRED)
  include_directories(${MoleQueue_INCLUDE_DIRS})
  add_definitions("-DAvogadro_ENABLE_RPC")
endif()

if(ENABLE_TESTING)
  find_package(Qt5 COMPONENTS Test REQUIRED)
  find_package(QtTesting REQUIRED NO_MODULE)
  include_directories(${QtTesting_INCLUDE_DIRS})
  link_directories(${QtTesting_LIBRARY_DIR})
  add_definitions(-DQTTESTING)
endif()

# Need to add current binary dir to include path for UI file headers
include_directories(${CMAKE_CURRENT_BINARY_DIR})

# if we are building statically then we need HDF5 targets
if(NOT BUILD_SHARED_LIBS)
  find_package(HDF5 REQUIRED COMPONENTS C)
endif()

# Handle Mac OS X specific icons etc.
if(APPLE)
  # add some Objective-C++ code
  list(APPEND avogadro_srcs mac.mm)
  set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")

  list(APPEND avogadro_srcs icons/avogadro.icns)
  list(APPEND avogadro_srcs icons/doc.icns)
  list(APPEND avogadro_srcs icons/cml.icns)
  list(APPEND avogadro_srcs icons/cjson.icns)
  set(MACOSX_BUNDLE_ICON_FILE avogadro.icns)
  set(MACOSX_BUNDLE_BUNDLE_VERSION "${AvogadroApp_VERSION}")
  set(MACOSX_BUNDLE_INFO_STRING "Avogadro - version ${AvogadroApp_VERSION}")

  # Change following line to point to actual icns file in bundle.
  set(MACOSX_BUNDLE_GUI_IDENTIFIER "cc.avogadro")
  set(MACOSX_BUNDLE_BUNDLE_NAME "Avogadro")

  set_source_files_properties(icons/avogadro.icns PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
  set_source_files_properties(icons/doc.icns PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
  set_source_files_properties(icons/cjson.icns PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)
  set_source_files_properties(icons/cml.icns PROPERTIES
    MACOSX_PACKAGE_LOCATION Resources)

elseif(UNIX)
  install(FILES "icons/avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}"
    RENAME "avogadro2.png")
elseif(WIN32)
  list(APPEND avogadro_srcs icons/avogadro.rc)
endif()

add_executable(avogadro WIN32 MACOSX_BUNDLE
  ${avogadro_srcs} ${ui_srcs} ${rcc_srcs})
target_link_libraries(avogadro Qt5::Widgets Qt5::Network Qt5::Concurrent)
if(WIN32)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:MSVCRTD")
  target_link_libraries(avogadro Qt5::WinMain)
endif()
set_target_properties(avogadro PROPERTIES AUTOMOC TRUE)
target_link_libraries(avogadro AvogadroQtOpenGL AvogadroQtGui AvogadroQtPlugins)
if(Avogadro_ENABLE_RPC)
  target_link_libraries(avogadro MoleQueueServerCore MoleQueueClient)
endif()
if(USE_VTK)
  target_link_libraries(avogadro ${VTK_LIBRARIES} AvogadroVtk)
endif()
if(APPLE)
  set_target_properties(avogadro PROPERTIES OUTPUT_NAME ${MACOSX_BUNDLE_NAME})
else()
  set_target_properties(avogadro PROPERTIES OUTPUT_NAME "avogadro2")
endif()
if(ENABLE_TESTING)
  target_link_libraries(avogadro QtTesting)
endif()
install(TARGETS avogadro
  RUNTIME DESTINATION ${INSTALL_RUNTIME_DIR}
  BUNDLE DESTINATION .
  )

# Keep "add_subdirectory(lastinstall)" last: fixup_bundle needs to be
# *after* all other install(TARGETS and install(FILES calls
add_subdirectory(lastinstall)

=== avogadro/lastinstall/CMakeLists.txt ===
if((APPLE OR WIN32) AND NOT ${CMAKE_VERSION} VERSION_LESS 2.8.8)
  set(pfx "")
  if(NOT APPLE)
    set(pfx "bin/")
  endif()

  set(sfx "")
  if(APPLE)
    set(sfx ".app")
  elseif(WIN32)
    set(sfx ".exe")
  endif()

  get_target_property(output_name avogadro OUTPUT_NAME)
  if(output_name)
    set(exe "${pfx}${output_name}${sfx}")
  else()
    set(exe "${pfx}avogadro${sfx}")
  endif()

  set(dirs "")
  if(CMAKE_PREFIX_PATH)
    foreach(dir ${CMAKE_PREFIX_PATH})
      list(APPEND dirs "${dir}/bin" "${dir}/lib")
    endforeach()
  endif()

  if(USE_VTK)
    # The VTK dlls are not in the CMAKE_PREFIX_PATH when built against
    # a "build tree" of VTK:
    get_property(loc TARGET vtkChartsCore PROPERTY LOCATION_RELEASE)
    get_filename_component(vtk_dlls_dir "${loc}" PATH)
    set(dirs ${dirs} "${vtk_dlls_dir}")
  endif()

  set(plugins "")
  foreach(plugin ${AvogadroLibs_PLUGINS})
    get_property(location TARGET ${plugin} PROPERTY LOCATION)
    list(APPEND plugins ${location})
  endforeach()

  # Find and fixup the Open Babel plugins (if installed)
  find_program(OBABEL_EXE obabel)
  if(INSTALL_BUNDLE_FILES AND OBABEL_EXE AND APPLE)
    get_filename_component(BABEL_DIR "${OBABEL_EXE}" PATH)
    file(GLOB BABEL_PLUGINS
      RELATIVE ${BABEL_DIR}/../lib/openbabel/
      ${BABEL_DIR}/../lib/openbabel/*.so)
    foreach(plugin ${BABEL_PLUGINS})
      list(APPEND ob_plugins ${INSTALL_LIBRARY_DIR}/openbabel/${plugin})
    endforeach()
  endif()
  set(CMAKE_INSTALL_UCRT_LIBRARIES TRUE)
  include(InstallRequiredSystemLibraries)
  include(DeployQt5)
  install_qt5_executable(${exe} "${plugins}" "${ob_plugins}" "${dirs}" "")
endif()

=== debian/changelog ===
avogadro (1.93.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch active_widget_37960b3.patch applies upstream commit
    37960b3 to activate widgets. Closes: #948305.
  * drop --as-needed link flag in debian/rules, now used by default

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Apr 2020 16:05:26 +0800

avogadro (1.93.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Build-Depends: libavogadro-dev (>= 1.93)

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2020 17:30:10 +0800

avogadro (1.91.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jan 2020 10:18:58 +0800

avogadro (1.91.0-1) unstable; urgency=medium

  * Team upload.
  * update debian/watch to new upstream git repo at
    https://github.com/OpenChemistry/avogadroapp
  * New upstream release.
    - update debian/copyright to BSD-3-clause and
      Source: https://github.com/OpenChemistry/avogadroapp
    - drop deprecated patches:
        boost148.patch
        eigen3.patch
        eigen3_lib.patch
        gcc-version.diff
        libmsymfloat.patch
        libsymspg.patch
        link_to_libgl2ps.patch
  * provide avogadro package only.
    python3-avogadro, libavogadro-dev, libavogadro2-1 moved to
    avogadrolibs. avogadro-data is deprecated.
  * Build-Depends: libavogadro-dev (>= 1.90)
  * Build-Depends: libhdf5-dev, qtbase5-dev
  * configure with Avogadro_ENABLE_RPC=OFF (MoleQueue is not available)
  * Standards-Version: 4.4.1
  * debhelper compatibility level 12: debhelper-compat (= 12)
  * drop menu entry (supplied sufficiently by desktop entry,
    see Debian Policy 9.6))

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 11:20:13 +1100

avogadro (1.2.0-4) unstable; urgency=medium

  [ Daniel Leidert ]
  * Adding debian/avogadro.menu

  [ Steffen Möller ]
  * Added RRID to metadata

  [ Andreas Tille ]
  * Homepage is not a defined field for d/u/metadata (any more)

  [ Andrius Merkys ]
  * Updating VCS-* fields.
  * Linking against system-installed libsymspg.
  * Adding copyright information for libmsym and spglib.

 -- Andrius Merkys <andrius.merkys@gmail.com>  Wed, 18 Jul 2018 03:47:43 -0400

avogadro (1.2.0-3) unstable; urgency=medium

  * Team upload

  [ Michael Banck ]
  * debian/watch: Updated to Github.

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * Set Homepage to http://avogadro.cc/ since its obviously moved away from
    sourceforge
  * Standards-Version: 4.1.2, cme fix dpkg-control
  * debhelper 10
  * Drop explicit Priority: extra since packages should be optional
  * Drop menu file since there is a desktop file
  * Build-Depends: dh-python
  * Do not redefine DEB_HOST_MULTIARCH
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 16 Dec 2017 17:49:41 +0100

avogadro (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Update eigen3 patches, pull them from upstream. (Closes: #865085)
  * Remove myself from uploaders.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Jul 2017 18:19:27 +0200

=== debian/control ===
Source: avogadro
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 12),
               doxygen,
               libavogadro-dev (>= 1.93),
               libeigen3-dev (>> 3.3),
               libgl2ps-dev,
               libglew-dev,
               libhdf5-dev,
               libopenbabel-dev,
               libsymspg-dev,
               pkg-config,
               qtbase5-dev,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
Homepage: http://avogadro.cc/

Package: avogadro
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: avogadro-utils
Description: Molecular Graphics and Modelling System
 Avogadro is a molecular graphics and modelling system targeted at molecules
 and biomolecules.  It can visualize properties like molecular orbitals or
 electrostatic potentials and features an intuitive molecular builder.
 .
 Features include:
  * Molecular modeller with automatic force-field based geometry optimization
  * Molecular Mechanics including constraints and conformer searches
  * Visualization of molecular orbitals and general isosurfaces
  * Visualization of vibrations and plotting of vibrational spectra
  * Support for crystallographic unit cells
  * Input generation for the Gaussian, GAMESS and MOLPRO quantum chemistry
    packages
  * Flexible plugin architecture and Python scripting
 .
 File formats Avogadro can read include PDB, XYZ, CML, CIF, Molden, as well as
 Gaussian, GAMESS and MOLPRO output.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS) -fPIC
export CFLAGS   := $(CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS  := -fPIC $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_SKIP_RPATH=TRUE \
	-DAvogadro_ENABLE_RPC=OFF \
	-DBUILD_DOCUMENTATION=ON \
	  -DChemData_SOURCE_DIR=$(CURDIR) \
	  -DChemData_BINARY_DIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_build:
	dh_auto_build
	cd obj-$(DEB_HOST_GNU_TYPE); make documentation

# upstream installs generic docs in an odd location.
# We want them in /usr/share/doc/avogadro, so install first in tmp
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
	cp -r obj-$(DEB_HOST_GNU_TYPE)/docs/html debian/tmp

override_dh_clean:
	dh_clean conf.log conf.pri

## avogadro 1.94.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "93")
+set(AvogadroApp_VERSION_MINOR   "94")
 set(AvogadroApp_VERSION_PATCH   "0")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -64,7 +64,8 @@
 # Handle Mac OS X specific icons etc.
 if(APPLE)
   # add some Objective-C++ code
-  list(APPEND avogadro_srcs mac.mm)
+  list(APPEND avogadro_srcs mac.mm ../thirdparty/qcocoacontrols/qcocoamessagebox.mm)
+  include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
   set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
 
   list(APPEND avogadro_srcs icons/avogadro.icns)

=== debian/changelog ===
avogadro (1.94.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch active_widget_37960b3.patch
  * debian patch background_transparency.patch prevents the main
    window from being transparent (upstream Issue #167)
  * debian/copyright: licence for metadata is CC-1.0
    (for flatpak/org.openchemistry.Avogadro2.metainfo.xml)

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Jun 2021 03:47:51 +0200

avogadro (1.93.0-3) unstable; urgency=medium

  * Team upload.
  * provide /usr/bin/avogadro as a symlink to avogadro2
  * Standards-Version: 4.5.1
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Mar 2021 17:26:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.93),
+               libavogadro-dev (>= 1.94),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
@@ -16,7 +16,7 @@
                pkg-config,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/

## avogadro 1.95.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "94")
-set(AvogadroApp_VERSION_PATCH   "0")
+set(AvogadroApp_VERSION_MINOR   "95")
+set(AvogadroApp_VERSION_PATCH   "1")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
 find_package(Git)

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+include(ExternalProject)
+
 find_package(AvogadroLibs REQUIRED NO_MODULE)
 include_directories(${AvogadroLibs_INCLUDE_DIRS})
 list(APPEND CMAKE_MODULE_PATH ${AvogadroLibs_CMAKE_DIR})
@@ -36,6 +38,37 @@
 )
 
 qt5_add_resources(rcc_srcs avogadro.qrc)
+
+# download and install QM translation files
+# Look in parallel directory for the i18n repository
+set(_i18n "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n")
+if(NOT EXISTS "${_i18n}")
+# download molecules...
+ExternalProject_Add(i18n
+    GIT_REPOSITORY https://github.com/openchemistry/avogadro-i18n
+    SOURCE_DIR "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n"
+    CONFIGURE_COMMAND ""
+    BUILD_COMMAND ""
+    INSTALL_COMMAND ""
+)
+endif()
+
+install(DIRECTORY "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadroapp/" 
+  "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadrolibs/"
+  DESTINATION "${INSTALL_DATA_DIR}/avogadro2/i18n"
+  FILES_MATCHING PATTERN "*.qm"
+)
+
+if(INSTALL_BUNDLE_FILES)
+# copy the qt translation files
+get_filename_component(_qttranslationdir "${Qt5_DIR}/../../../translations" ABSOLUTE)
+message(STATUS "Trying to install Qt translations ${_qttranslationdir}")
+install(DIRECTORY "${_qttranslationdir}/"
+DESTINATION "${INSTALL_DATA_DIR}/avogadro2/i18n"
+FILES_MATCHING PATTERN "qt_*.qm" PATTERN "qtbase*.qm"
+# technically, this also copies qt_help.* but that's not a big deal
+)
+endif()
 
 if(Avogadro_ENABLE_RPC)
   list(APPEND avogadro_srcs rpclistener.cpp)

=== avogadro/lastinstall/CMakeLists.txt ===
--- 
+++ 
@@ -38,6 +38,15 @@
     get_property(location TARGET ${plugin} PROPERTY LOCATION)
     list(APPEND plugins ${location})
   endforeach()
+  # make sure to include the core image formats
+  # likely only be required on Mac / Windows since Qt package on Unix provides
+  if(APPLE OR WIN32)
+    # JPG BMP, WebP, GIF plus default of PNG, etc.
+    foreach(qt_plugin Qt5::QJpegPlugin Qt5::QWbmpPlugin Qt5::QWebpPlugin Qt5::QGifPlugin)
+      get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
+      list(APPEND plugins ${location})
+    endforeach()
+  endif()
 
   # Find and fixup the Open Babel plugins (if installed)
   find_program(OBABEL_EXE obabel)

=== debian/changelog ===
avogadro (1.95.1-2) unstable; urgency=medium

  * Team upload.
  * enable RPC (MoleQueue support)
    - Build-Depends: molequeue, libmolequeue-dev,
      avogadro Recommends: molequeue

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Oct 2021 11:29:53 +0200

avogadro (1.95.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch background_transparency.patch
  * Standards-Version: 4.6.0
  * Internationalization files are placed in debian/avogadro-i18n
    as a git subtree fetched from upstream repo
    https://github.com/OpenChemistry/avogadro-i18n
    - debian patch avogadro-i18n.patch patches source to use it.

 -- Drew Parsons <dparsons@debian.org>  Tue, 05 Oct 2021 00:50:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.94),
+               libavogadro-dev (>= 1.95~),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
                libhdf5-dev,
                libopenbabel-dev,
                libsymspg-dev,
+               molequeue, libmolequeue-dev,
                pkg-config,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/
@@ -25,7 +26,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: avogadro-utils
+Recommends: avogadro-utils,
+ molequeue
 Description: Molecular Graphics and Modelling System
  Avogadro is a molecular graphics and modelling system targeted at molecules
  and biomolecules.  It can visualize properties like molecular orbitals or

## avogadro 1.97.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 set(CMAKE_MODULE_PATH ${AvogadroApp_SOURCE_DIR}/cmake)
 
-# Request C++11 standard, using new CMake variables.
-set(CMAKE_CXX_STANDARD 11)
+# Request C++17 standard, using new CMake variables.
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
 set(CMAKE_CXX_EXTENSIONS False)
 # Set symbol visibility defaults for all targets.
@@ -25,8 +25,8 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "95")
-set(AvogadroApp_VERSION_PATCH   "1")
+set(AvogadroApp_VERSION_MINOR   "97")
+set(AvogadroApp_VERSION_PATCH   "0")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
 find_package(Git)

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,7 @@
 
 option(USE_VTK "Build with VTK support" OFF)
 if(USE_VTK)
-  find_package(VTK COMPONENTS vtkGUISupportQt vtkRenderingOpenGL2 REQUIRED)
-  include(${VTK_USE_FILE})
+  find_package(VTK COMPONENTS GUISupportQt RenderingOpenGL2 REQUIRED)
   add_definitions(-DAVO_USE_VTK)
 endif()
 
@@ -29,6 +28,7 @@
   backgroundfileformat.cpp
   mainwindow.cpp
   menubuilder.cpp
+  tooltipfilter.cpp
   viewfactory.cpp
 )
 
@@ -59,7 +59,7 @@
   FILES_MATCHING PATTERN "*.qm"
 )
 
-if(INSTALL_BUNDLE_FILES)
+if(APPLE OR WIN32 OR INSTALL_BUNDLE_FILES)
 # copy the qt translation files
 get_filename_component(_qttranslationdir "${Qt5_DIR}/../../../translations" ABSOLUTE)
 message(STATUS "Trying to install Qt translations ${_qttranslationdir}")
@@ -101,6 +101,29 @@
   include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
   set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
 
+  # for all the translations, create a .lproj directory
+  # Migrated from Avo 1.x - contributed by Geoff Hutchison
+  # We're assuming that there will never be an libavogadro translation
+  #  without a corresponding avogadro one.
+  # (Fairly safe assumption)
+
+  # This regex gives us translations with just two characters
+  #  (e.g., avogadro_fr.ts)
+  FILE(GLOB avogadro_QM "${INSTALL_DATA_DIR}/avogadro2/i18n/*.qm")
+  string(REGEX MATCHALL "-[a-z]+\\.qm" langresult "${avogadro_QM}")
+  string(REGEX REPLACE "-([^.]+)\\.qm" "\\1" languages "${langresult}")
+  # This one gives us languages for country codes (e.g., avogadro_zh_CN.ts)
+  string(REGEX MATCHALL "-[a-z]+_[A-Z]+\\.qm" langresult "${avogadro_QM}")
+  string(REGEX REPLACE "-([^_]+_[^.]+)\\.qm" "\\1" fulllangs "${langresult}")
+  set (LANGUAGES "${languages};${fulllangs};en;en_US")
+
+  foreach(lang ${LANGUAGES})
+    set( MAC_LANG_DIR "${CMAKE_INSTALL_PREFIX}/Resources/${lang}.lproj" )
+    install(CODE "EXECUTE_PROCESS(COMMAND
+      mkdir ${MAC_LANG_DIR}
+      ERROR_QUIET)")
+  endforeach()
+
   list(APPEND avogadro_srcs icons/avogadro.icns)
   list(APPEND avogadro_srcs icons/doc.icns)
   list(APPEND avogadro_srcs icons/cml.icns)
@@ -124,6 +147,7 @@
 
 elseif(UNIX)
   install(FILES "icons/avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
+  install(FILES "icons/avogadro2.appdata.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
   install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}"
     RENAME "avogadro2.png")
 elseif(WIN32)

=== avogadro/lastinstall/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
   if(USE_VTK)
     # The VTK dlls are not in the CMAKE_PREFIX_PATH when built against
     # a "build tree" of VTK:
-    get_property(loc TARGET vtkChartsCore PROPERTY LOCATION_RELEASE)
+    get_property(loc TARGET VTK::ChartsCore PROPERTY LOCATION_RELEASE)
     get_filename_component(vtk_dlls_dir "${loc}" PATH)
     set(dirs ${dirs} "${vtk_dlls_dir}")
   endif()

=== debian/changelog ===
avogadro (1.97.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patch fix_alpha_transparency_PR262.patch
    - installs metainfo data
  * debian/copyright: add licence entry (CC0-1.0) for appdata metainfo

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jul 2022 10:03:19 +0200

avogadro (1.96.0-2) unstable; urgency=medium

  * Team upload.
  * debian patch fix_alpha_transparency_PR262.patch applies upstream
    PR262 to fix transparency in OpenGL windows. Closes: #1008719.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jun 2022 16:01:59 +0200

avogadro (1.96.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - versioned Build-Depends: libavogadro-dev (>= 1.96~)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jun 2022 12:44:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.95~),
+               libavogadro-dev (>= 1.96~),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
@@ -17,7 +17,7 @@
                pkg-config,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/

## avogadro 1.98.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,13 @@
-cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.19 FATAL_ERROR)
 
 # Use the new policy for linking to qtmain
 if(POLICY CMP0020)
 #  cmake_policy(SET CMP0020 NEW)
+endif()
+
+# Set CMP0080 to OLD for now for BundleUtilities, this needs porting to NEW.
+if(POLICY CMP0080)
+  cmake_policy(SET CMP0080 OLD)
 endif()
 
 project(AvogadroApp)
@@ -25,8 +30,8 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "97")
-set(AvogadroApp_VERSION_PATCH   "0")
+set(AvogadroApp_VERSION_MINOR   "98")
+set(AvogadroApp_VERSION_PATCH   "1")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
 find_package(Git)
@@ -46,6 +51,12 @@
 
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
+set(QT_VERSION "5" CACHE STRING "What major version of Qt")
+set(QT_VERSIONS_SUPPORTED 5 6)
+set_property(CACHE QT_VERSION PROPERTY STRINGS 5 6)
+if(NOT QT_VERSION IN_LIST QT_VERSIONS_SUPPORTED)
+  message(FATAL_ERROR "Qt version must be one of ${QT_VERSIONS_SUPPORTED}")
+endif()
 option(ENABLE_TESTING "Enable testing and building the tests." OFF)
 
 if(ENABLE_TESTING)

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,16 @@
 
 if(MSVC)
   add_definitions("-D_CRT_SECURE_NO_WARNINGS")
+else()
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-declarations")
 endif()
 
 # Find the Qt components we need.
-find_package(Qt5 REQUIRED COMPONENTS Concurrent Widgets Network CONFIG)
+if(QT_VERSION EQUAL 6)
+  find_package(Qt6 COMPONENTS Concurrent Widgets Network Core5Compat REQUIRED)
+else()
+  find_package(Qt5 COMPONENTS Concurrent Widgets Network REQUIRED)
+endif()
 
 configure_file(avogadroappconfig.h.in avogadroappconfig.h)
 
@@ -28,16 +34,18 @@
   backgroundfileformat.cpp
   mainwindow.cpp
   menubuilder.cpp
+  renderingdialog.cpp
   tooltipfilter.cpp
   viewfactory.cpp
 )
 
-qt5_wrap_ui(ui_srcs
+qt_wrap_ui(ui_srcs
   aboutdialog.ui
   mainwindow.ui
-)
-
-qt5_add_resources(rcc_srcs avogadro.qrc)
+  renderingdialog.ui
+)
+
+qt_add_resources(rcc_srcs avogadro.qrc)
 
 # download and install QM translation files
 # Look in parallel directory for the i18n repository
@@ -62,7 +70,7 @@
 if(APPLE OR WIN32 OR INSTALL_BUNDLE_FILES)
 # copy the qt translation files
 get_filename_component(_qttranslationdir "${Qt5_DIR}/../../../translations" ABSOLUTE)
-message(STATUS "Trying to install Qt translations ${_qttranslationdir}")
+message(STATUS "Install Qt translations ${_qttranslationdir}")
 install(DIRECTORY "${_qttranslationdir}/"
 DESTINATION "${INSTALL_DATA_DIR}/avogadro2/i18n"
 FILES_MATCHING PATTERN "qt_*.qm" PATTERN "qtbase*.qm"
@@ -154,20 +162,29 @@
   list(APPEND avogadro_srcs icons/avogadro.rc)
 endif()
 
+if(USE_3DCONNEXION AND (WIN32 OR APPLE))
+  list(APPEND avogadro_srcs icons/3dx_pivot.png)
+  list(APPEND avogadro_srcs tdxcontroller.cpp) 
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_load.cpp") 
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_stub.c") 
+  set_source_files_properties(icons/3dx_pivot.png PROPERTIES
+  MACOSX_PACKAGE_LOCATION Resources)
+endif()
+
 add_executable(avogadro WIN32 MACOSX_BUNDLE
   ${avogadro_srcs} ${ui_srcs} ${rcc_srcs})
-target_link_libraries(avogadro Qt5::Widgets Qt5::Network Qt5::Concurrent)
+target_link_libraries(avogadro Qt::Widgets Qt::Network Qt::Concurrent)
 if(WIN32)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:MSVCRTD")
-  target_link_libraries(avogadro Qt5::WinMain)
+  target_link_libraries(avogadro Qt::WinMain)
 endif()
 set_target_properties(avogadro PROPERTIES AUTOMOC TRUE)
-target_link_libraries(avogadro AvogadroQtOpenGL AvogadroQtGui AvogadroQtPlugins)
+target_link_libraries(avogadro Avogadro::QtOpenGL Avogadro::QtGui Avogadro::QtPlugins)
 if(Avogadro_ENABLE_RPC)
   target_link_libraries(avogadro MoleQueueServerCore MoleQueueClient)
 endif()
 if(USE_VTK)
-  target_link_libraries(avogadro ${VTK_LIBRARIES} AvogadroVtk)
+  target_link_libraries(avogadro ${VTK_LIBRARIES} Avogadro::Vtk)
 endif()
 if(APPLE)
   set_target_properties(avogadro PROPERTIES OUTPUT_NAME ${MACOSX_BUNDLE_NAME})
@@ -177,6 +194,21 @@
 if(ENABLE_TESTING)
   target_link_libraries(avogadro QtTesting)
 endif()
+if(QT_VERSION EQUAL 6)
+  target_link_libraries(avogadro Qt6::Core5Compat)
+endif()
+
+if(USE_3DCONNEXION AND (WIN32 OR APPLE))
+  target_compile_definitions(avogadro PUBLIC _3DCONNEXION)
+  target_include_directories(avogadro PUBLIC "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/inc")
+	if(APPLE)
+		target_compile_definitions(avogadro PUBLIC __APPLE__)
+		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fdeclspec")
+	elseif(WIN32)
+		install(FILES "icons/3dx_pivot.png" DESTINATION "${CMAKE_INSTALL_BINDIR}/img")
+	endif()
+endif()  
+
 install(TARGETS avogadro
   RUNTIME DESTINATION ${INSTALL_RUNTIME_DIR}
   BUNDLE DESTINATION .

=== avogadro/lastinstall/CMakeLists.txt ===
--- 
+++ 
@@ -42,10 +42,19 @@
   # likely only be required on Mac / Windows since Qt package on Unix provides
   if(APPLE OR WIN32)
     # JPG BMP, WebP, GIF plus default of PNG, etc.
-    foreach(qt_plugin Qt5::QJpegPlugin Qt5::QWbmpPlugin Qt5::QWebpPlugin Qt5::QGifPlugin)
-      get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
-      list(APPEND plugins ${location})
-    endforeach()
+    # .. for whatever reason, they don't have a Qt::QJpegPlugin
+    # .. only the versioned Qt5::QJpegPlugin, etc.
+    if(QT_VERSION EQUAL 6)
+      foreach(qt_plugin Qt6::QJpegPlugin Qt6::QWbmpPlugin Qt6::QWebpPlugin Qt6::QGifPlugin)
+        get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
+        list(APPEND plugins ${location})
+      endforeach()
+    else()
+      foreach(qt_plugin Qt5::QJpegPlugin Qt5::QWbmpPlugin Qt5::QWebpPlugin Qt5::QGifPlugin)
+        get_property(location TARGET ${qt_plugin} PROPERTY LOCATION_RELEASE)
+        list(APPEND plugins ${location})
+      endforeach()
+    endif()
   endif()
 
   # Find and fixup the Open Babel plugins (if installed)
@@ -63,4 +72,12 @@
   include(InstallRequiredSystemLibraries)
   include(DeployQt5)
   install_qt5_executable(${exe} "${plugins}" "${ob_plugins}" "${dirs}" "")
+  if (INSTALL_BUNDLE_FILES)
+    # Fixup the bundle
+    install(CODE "
+      include(BundleUtilities)
+      get_property(bundle TARGET avogadro PROPERTY LOCATION_RELEASE)
+      fixup_bundle(\"${bundle}/..\" \"${plugins}\" \"${dirs}\")
+      " COMPONENT Runtime)
+  endif()
 endif()

## avogadro 1.99.0

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 )
 endif()
 
-install(DIRECTORY "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadroapp/" 
+install(DIRECTORY "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadroapp/"
   "${AvogadroApp_SOURCE_DIR}/../avogadro-i18n/avogadrolibs/"
   DESTINATION "${INSTALL_DATA_DIR}/avogadro2/i18n"
   FILES_MATCHING PATTERN "*.qm"
@@ -87,7 +87,11 @@
 endif()
 
 if(ENABLE_TESTING)
+if(QT_VERSION EQUAL 6)
+  find_package(Qt6 COMPONENTS Test REQUIRED)
+elseif(QT_VERSION EQUAL 5)
   find_package(Qt5 COMPONENTS Test REQUIRED)
+endif()
   find_package(QtTesting REQUIRED NO_MODULE)
   include_directories(${QtTesting_INCLUDE_DIRS})
   link_directories(${QtTesting_LIBRARY_DIR})
@@ -105,9 +109,12 @@
 # Handle Mac OS X specific icons etc.
 if(APPLE)
   # add some Objective-C++ code
-  list(APPEND avogadro_srcs mac.mm ../thirdparty/qcocoacontrols/qcocoamessagebox.mm)
-  include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
-  set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
+  list(APPEND avogadro_srcs mac.mm)
+  if (QT_VERSION EQUAL 5)
+    list(APPEND avogadro_srcs ../thirdparty/qcocoacontrols/qcocoamessagebox.mm)
+    include_directories(SYSTEM "${AvogadroApp_SOURCE_DIR}/thirdparty/qcocoacontrols")
+    set(CMAKE_EXE_LINKER_FLAGS "-framework Foundation -framework Cocoa")
+  endif()
 
   # for all the translations, create a .lproj directory
   # Migrated from Avo 1.x - contributed by Geoff Hutchison
@@ -164,9 +171,9 @@
 
 if(USE_3DCONNEXION AND (WIN32 OR APPLE))
   list(APPEND avogadro_srcs icons/3dx_pivot.png)
-  list(APPEND avogadro_srcs tdxcontroller.cpp) 
-  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_load.cpp") 
-  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_stub.c") 
+  list(APPEND avogadro_srcs tdxcontroller.cpp)
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_load.cpp")
+  list(APPEND avogadro_srcs "${AvogadroApp_SOURCE_DIR}/thirdparty/3DConnexion/src/navlib_stub.c")
   set_source_files_properties(icons/3dx_pivot.png PROPERTIES
   MACOSX_PACKAGE_LOCATION Resources)
 endif()
@@ -176,7 +183,9 @@
 target_link_libraries(avogadro Qt::Widgets Qt::Network Qt::Concurrent)
 if(WIN32)
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /NODEFAULTLIB:MSVCRTD")
+if(QT_VERSION EQUAL 5)
   target_link_libraries(avogadro Qt::WinMain)
+endif()
 endif()
 set_target_properties(avogadro PROPERTIES AUTOMOC TRUE)
 target_link_libraries(avogadro Avogadro::QtOpenGL Avogadro::QtGui Avogadro::QtPlugins)
@@ -207,7 +216,7 @@
 	elseif(WIN32)
 		install(FILES "icons/3dx_pivot.png" DESTINATION "${CMAKE_INSTALL_BINDIR}/img")
 	endif()
-endif()  
+endif()
 
 install(TARGETS avogadro
   RUNTIME DESTINATION ${INSTALL_RUNTIME_DIR}

=== debian/changelog ===
avogadro (1.99.0-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:33:00 +1100

avogadro (1.99.0-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:53:58 +0000

avogadro (1.99.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Build-Depends: libavogadro-dev (>= 1.99~)
  * update debian/avogadro-i18n from upstream git
  * update Build-Depends: pkgconf not pkg-config

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Feb 2024 13:15:05 +0100

avogadro (1.98.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Nov 2023 16:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: avogadro
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.96~),
+               libavogadro-dev (>= 1.99~),
                libeigen3-dev (>> 3.3),
                libgl2ps-dev,
                libglew-dev,
@@ -14,10 +15,10 @@
                libopenbabel-dev,
                libsymspg-dev,
                molequeue, libmolequeue-dev,
-               pkg-config,
+               pkgconf,
                qtbase5-dev,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
 Homepage: http://avogadro.cc/

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	-DCMAKE_SKIP_RPATH=TRUE \
-	-DAvogadro_ENABLE_RPC=OFF \
+	-DAvogadro_ENABLE_RPC=ON \
 	-DBUILD_DOCUMENTATION=ON \
 	  -DChemData_SOURCE_DIR=$(CURDIR) \
 	  -DChemData_BINARY_DIR=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

## avogadro 1.100.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,8 +30,8 @@
 
 # Set up our version.
 set(AvogadroApp_VERSION_MAJOR   "1")
-set(AvogadroApp_VERSION_MINOR   "98")
-set(AvogadroApp_VERSION_PATCH   "1")
+set(AvogadroApp_VERSION_MINOR   "100")
+set(AvogadroApp_VERSION_PATCH   "0")
 set(AvogadroApp_VERSION
   "${AvogadroApp_VERSION_MAJOR}.${AvogadroApp_VERSION_MINOR}.${AvogadroApp_VERSION_PATCH}")
 find_package(Git)

=== avogadro/CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,21 @@
 
 # Find the Qt components we need.
 if(QT_VERSION EQUAL 6)
-  find_package(Qt6 COMPONENTS Concurrent Widgets Network Core5Compat REQUIRED)
+  find_package(Qt6
+    COMPONENTS
+      Concurrent
+      Widgets
+      Network
+      OpenGL
+      OpenGLWidgets
+    REQUIRED)
 else()
-  find_package(Qt5 COMPONENTS Concurrent Widgets Network REQUIRED)
+  find_package(Qt5
+    COMPONENTS
+      Concurrent
+      Widgets
+      Network
+    REQUIRED)
 endif()
 
 configure_file(avogadroappconfig.h.in avogadroappconfig.h)
@@ -161,10 +173,22 @@
     MACOSX_PACKAGE_LOCATION Resources)
 
 elseif(UNIX)
-  install(FILES "icons/avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
-  install(FILES "icons/avogadro2.appdata.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
-  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}"
-    RENAME "avogadro2.png")
+  install(FILES "icons/org.openchemistry.Avogadro2.desktop" DESTINATION "${INSTALL_XDG_APPS_DIR}")
+  install(FILES "icons/org.openchemistry.Avogadro2.metainfo.xml" DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
+  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/32x32/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/16x16@2/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_64.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/64x64/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_64.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/32x32@2/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_128.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/128x128/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2_256.png" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/256x256/apps"
+    RENAME "org.openchemistry.Avogadro2.png")
+  install(FILES "icons/avogadro2.svg" DESTINATION "${INSTALL_XDG_ICON_DIR}/hicolor/scalable/apps"
+    RENAME "org.openchemistry.Avogadro2.svg")
 elseif(WIN32)
   list(APPEND avogadro_srcs icons/avogadro.rc)
 endif()
@@ -201,10 +225,10 @@
   set_target_properties(avogadro PROPERTIES OUTPUT_NAME "avogadro2")
 endif()
 if(ENABLE_TESTING)
-  target_link_libraries(avogadro QtTesting)
+  target_link_libraries(avogadro qttesting)
 endif()
 if(QT_VERSION EQUAL 6)
-  target_link_libraries(avogadro Qt6::Core5Compat)
+  target_link_libraries(avogadro Qt6::OpenGL Qt6::OpenGLWidgets)
 endif()
 
 if(USE_3DCONNEXION AND (WIN32 OR APPLE))

=== debian/changelog ===
avogadro (1.100.0-2) unstable; urgency=medium

  * Team upload.
  * fix versioned Build-Depends: libavogadro-dev (>= 1.100~)
  * update avogadro-i18n to 1.100.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Feb 2025 10:52:49 +0900

avogadro (1.100.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Build-Depends: libavogadro-dev (>= 1.100~)
  * Build against Qt6
    - drop RPC (MoleQueue) support, since MoleQueue does not support
      Qt6 (see upstream Issue#561)
  * drop avogadro.xpm. Icons are now provided in /usr/share/icons
  * update debian/copyright: metadata file changed to
    org.openchemistry.Avogadro2, flatpak metadata dropped.
  * Debian Janitor: Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libeigen3-dev.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Feb 2025 01:05:36 +0900

avogadro (1.99.0-2) UNRELEASED; urgency=medium

  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).

 -- Andreas Tille <tille@debian.org>  Thu, 06 Feb 2025 08:28:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,34 @@
 Source: avogadro
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                doxygen,
-               libavogadro-dev (>= 1.99~),
-               libeigen3-dev (>> 3.3),
+               libavogadro-dev (>= 1.100~),
+               libeigen3-dev,
                libgl2ps-dev,
                libglew-dev,
                libhdf5-dev,
                libopenbabel-dev,
                libsymspg-dev,
-               molequeue, libmolequeue-dev,
+               molequeue,
+               libmolequeue-dev,
                pkgconf,
-               qtbase5-dev,
+               qt6-base-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debichem-team/avogadro
 Vcs-Git: https://salsa.debian.org/debichem-team/avogadro.git
-Homepage: http://avogadro.cc/
+Homepage: https://avogadro.cc/
 
 Package: avogadro
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: avogadro-utils,
- molequeue
+            molequeue
 Description: Molecular Graphics and Modelling System
  Avogadro is a molecular graphics and modelling system targeted at molecules
  and biomolecules.  It can visualize properties like molecular orbitals or
